Name:           krecorder 
Version:        0.1
Release:        1%{?dist}
License:        GPLv3+
Summary:        Convergent KDE audio recording application
Url:            https://invent.kde.org/plasma-mobile/krecorder
Source0:        https://download.kde.org/unstable/%{name}/0.1/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  hicolor-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Multimedia)

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)

Requires:       kf5-kirigami2
Requires:       gstreamer1-plugins-good


%description
Audio recorder for Plasma Mobile and other platforms

%prep
%autosetup -n %{name}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
chmod -x %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop
sed -i 's/GPL-3+/GPL-3/g' %{buildroot}%{_datadir}/metainfo/org.kde.%{name}.appdata.xml
%find_lang %{name}

%check
appstreamcli validate --no-net %{buildroot}%{_datadir}/metainfo/org.kde.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop


%files -f %{name}.lang
%doc README.md
%license LICENSES/GPL-3.0-or-later
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/icons/hicolor/scalable/apps/org.kde.%{name}.svg

%changelog
* Thu May 06 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 0.1-1
- initial package